Name:           perl-HTML-Packer
Version:        2.10
Release:        1%{?dist}
Summary:        HTML::Packer - Another HTML code cleaner
License:        Artistic-2.0
URL:            https://metacpan.org/release/HTML-Packer
Source0:        https://github.com/leejo/html-packer-perl/archive/refs/heads/master.zip
BuildArch:      noarch

BuildRequires:  perl-generators perl-interpreter make
BuildRequires:  perl(ExtUtils::MakeMaker)

# For improved testing
#BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
#BuildRequires:  perl(Test::Pod) >= 1.14

%description
HTML::Packer Perl module, an HTML Compressor.

%prep
%setup -q -n html-packer-perl-master
#HTML-Packer-%%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}*

%check
#%%{__make} test

%files
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun Mar 10 2024 Pappy Packager <skrochen@krotek.com> - 2.10-1
- Initial build
